[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Variants' (#rtl)

# VarIsByRef

Check if the variant is a reference to a value.

## Declaration

Source position: variants.pp line 72

`function VarIsByRef(`
`const V: Variant`
`):Boolean;`

## Description

VarIsByRef checks whether the variant V is a reference to a value instead of an actual value. It returns True if this is the case, False if not.

## See also

VarType |  | Return the type of a variant.
VarAsType |  | Attempt to cast a variant to another type
VarIsType |  | Check if a variant is of certain type
VarIsEmpty |  | Check if the variant is empty
VarIsNull |  | Check if a variant is null